[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DoBeforeFinalization

Destroys all components.

## Declaration

Source position: forms.pp line 1594

`protected procedure TApplication.DoBeforeFinalization;`

## Description

Called from the BeforeFinalization routine which is used as the ExitProc handler in the application instance.